Loading...
Searching...
No Matches
Ogre::WorkQueue::Request Class Reference

General purpose request structure. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::Request:
[legend]

## Public Member Functions

| Request (uint16 channel, uint16 rtype, const Any &rData, uint8 retry, RequestID rid)
| Constructor.
| ~Request ()
uint16 | getChannel () const
| Get the request channel (top level categorisation).
const Any & | getData () const
| Get the user details of this request.
RequestID | getID () const
| Get the identifier of this request.
uint8 | getRetryCount () const
| Get the remaining retry count.
uint16 | getType () const
| Get the type of this request within the given channel.

## Detailed Description

General purpose request structure.

## Constructor & Destructor Documentation

## Request()

Ogre::WorkQueue::Request::Request | ( | uint16 | channel,
|  | uint16 | rtype,
|  | const Any & | rData,
|  | uint8 | retry,
|  | RequestID | rid )

Constructor.

## ~Request()

Ogre::WorkQueue::Request::~Request | ( |  | ) |

## Member Function Documentation

## getChannel()

uint16 Ogre::WorkQueue::Request::getChannel | ( |  | ) | const

inline

Get the request channel (top level categorisation).

## getType()

uint16 Ogre::WorkQueue::Request::getType | ( |  | ) | const

inline

Get the type of this request within the given channel.

## getData()

const Any & Ogre::WorkQueue::Request::getData | ( |  | ) | const

inline

Get the user details of this request.

## getRetryCount()

uint8 Ogre::WorkQueue::Request::getRetryCount | ( |  | ) | const

inline

Get the remaining retry count.

## getID()

RequestID Ogre::WorkQueue::Request::getID | ( |  | ) | const

inline

Get the identifier of this request.

The documentation for this class was generated from the following file:

- OgreWorkQueue.h